Bug 1279791 - [engine-backend] "Given Network Attachment (id '${NETWORK_ATTACHMENT_NOT_EXISTS_ENTITY}') does not exist" when confirming setup networks
[engine-backend] "Given Network Attachment (id '${NETWORK_ATTACHMENT_NOT_EXIS...
Product: ovirt-engine
Classification: oVirt
Component: BLL.Network (Show other bugs)
x86_64 Unspecified
medium Severity medium (vote)
: ovirt-4.0.0-alpha
: 4.0.0
Assigned To: Martin Mucha
Michael Burman
Depends On:
  Show dependency treegraph
Reported: 2015-11-10 05:23 EST by Elad
Modified: 2016-07-05 04:01 EDT (History)
6 users (show)

See Also:
Fixed In Version: ovirt 4.0.0 alpha1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-07-05 04:01:49 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rule-engine: ovirt‑4.0.0+
ylavi: planning_ack+
rule-engine: devel_ack+
rule-engine: testing_ack+

Attachments (Terms of Use)
engine.log, /var/log/ from host and screenshot from webadmin (4.48 MB, application/x-gzip)
2015-11-10 05:23 EST, Elad
no flags Details

External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45567 None None None 2016-02-09 03:37 EST

  None (edit)
Description Elad 2015-11-10 05:23:28 EST
Created attachment 1092150 [details]
engine.log, /var/log/ from host and screenshot from webadmin

Description of problem:
I tried to confirm setup network after I modification of the interface IP and got an unclear error message:

2015-11-09 12:46:36,257 WARN  [org.ovirt.engine.core.bll.network.host.HostSetupNetworksCommand] (ajp-/ [4bba8dd6] CanDoAction of action 'HostSetupNetworks' failed for us

Version-Release number of selected component (if applicable):

How reproducible:
Set bug severity to medium since it's not 100% reproducible

Steps to Reproduce:
- Create a non-VM, non-required network
- Attach it to an inactive interface in the host with dhcp and confirm, ifup succeeds
- Change the interface ip to static with an occupied address, ifup fails
- Change interface ip to a non-occupied address

Actual results:
- Setup networks fails with the mentioned error
- The error is not readable in UI as seen in the attached screenshot

Expected results:
- Clear error message
- Not sure if setup network supposed to succeed

Additional info:
engine.log, /var/log/ from host and screenshot from webadmin
Unfortunately, I don't have the relevant vdsm.log
Comment 1 Michael Burman 2016-04-06 07:03:57 EDT
Verified on - 4.0.0-0.0.master.20160404161620.git4ffd5a4.el7.centos

Error while executing action: 

Cannot setup Networks. Given Network Attachment (id '649d73d4-2109-4b5f-bca3-5a4f7d0d8dac') does not exist. (update network that doesn't exist)

Error while executing action:


    Cannot setup Networks. Following Network Attachments do not exist: 25764b19-6be1-4ce1-856e-06f38c5c7ba6. (remove network that doesn't exist)
Comment 2 Sandro Bonazzola 2016-07-05 04:01:49 EDT
oVirt 4.0.0 has been released, closing current release.

Note You need to log in before you can comment on or make changes to this bug.